%global sname requests-gssapi
%global s_name requests_gssapi

# enable python3
%bcond_without python3

%global python3 python%{python3_pkgversion}
%global python3_other python%{python3_other_pkgversion}

Name:           python-%{sname}
Version:        1.2.2
Release:        1%{?dist}
Summary:        A GSSAPI/SPNEGO authentication handler for python-requests

License:        ISC
URL:            https://github.com/pythongssapi/%{sname}
Source0:        https://github.com/pythongssapi/%{sname}/releases/download/v%{version}/%{sname}-%{version}.tar.gz
BuildArch:      noarch

# Patches

BuildRequires:  git-core
BuildRequires:  python-devel
BuildRequires:  python-gssapi
BuildRequires:  python-mock
BuildRequires:  python-requests
BuildRequires:  python-setuptools

%if %{with python3}
BuildRequires:  %{python3}-devel
BuildRequires:  %{python3}-gssapi
BuildRequires:  %{python3}-mock
BuildRequires:  %{python3}-nose
BuildRequires:  %{python3}-requests
BuildRequires:  %{python3}-setuptools
%endif

%global _description\
Requests is an HTTP library, written in Python, for human beings. This\
library adds optional GSSAPI authentication support and supports\
mutual authentication. It includes a fully backward-compatible shim\
for requests-kerberos.

%description %_description

%package -n python2-%{sname}
Summary:        %summary
Requires:       python-gssapi
Requires:       python-requests
%{?python_provide:%python_provide python2-%{sname}}
%description -n python2-%{sname} %_description

%if %{with python3}
%package -n %{python3}-%{sname}
Summary:        %summary
Requires:       %{python3}-gssapi
Requires:       %{python3}-requests
%{?python_provide:%python_provide %{python3}-%{sname}}
%description -n %{python3}-%{sname} %_description
%endif

%if %{with python3_other}
%package -n %{python3_other}-%{sname}
Summary:        %summary
Requires:       %{python3}-gssapi
Requires:       %{python3}-requests
%{?python_provide:%python_provide %{python3}-%{sname}}
%description -n %{python3_other}-%{sname} %_description
%endif

%prep
%autosetup -S git -n %{sname}-%{version}


%build
%py2_build

%if %{with python3}
%py3_build
%endif

%if %{with python3_other}
%py3_other_build
%endif


%install
%py2_install

%if %{with python3}
%py3_install
%endif

%if %{with python3_other}
%py3_other_install
%endif


%check
# No python-nose, so no tests.
# %{__python2} setup.py nosetests

%if %{with python3}
%{__python3} setup.py nosetests
%endif

%if %{with python3_other}
%{__python3_other} setup.py nosetests
%endif


%files -n python2-%{sname}
%doc README.rst AUTHORS HISTORY.rst
%license LICENSE
%{python2_sitelib}/%{s_name}*


%if %{with python3}
%files -n %{python3}-%{sname}
%doc README.rst AUTHORS HISTORY.rst
%license LICENSE
%{python3_sitelib}/%{s_name}*
%endif

%if %{with python3_other}
%files -n %{python3_other}-%{sname}
%doc README.rst AUTHORS HISTORY.rst
%license LICENSE
%{python3_other_sitelib}/%{s_name}*
%endif


%changelog
* Tue Aug 11 2020 Robbie Harwood <rharwood@redhat.com> - 1.2.2-1
- New upstream release (1.2.2)

* Mon Aug 12 2019 Robbie Harwood <rharwood@redhat.com> - 1.1.0-2
- Actually enable python3 (bcond is hard...)

* Tue May 21 2019 Robbie Harwood <rharwood@redhat.com> - 1.1.0-1
- New upstream release (1.1.0)
- Enable (both) python3 for EPEL-7

* Thu Apr 11 2019 Robbie Harwood <rharwood@redhat.com> - 1.0.1-1
- New upstream release (1.0.1)
- Resolves: #1698650

* Mon Aug 13 2018 Robbie Harwood <rharwood@redhat.com> - 1.0.0-5
- epel7 version changes
- Resolves: #1615450

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Dec 19 2017 Robbie Harwood <rharwood@redhat.com> - 1.0.0-1
- New upstream release (v1.0.0)
